Update Asset Pricing
1 min
PUT
https://api.upstartcommerce.com/v1/pricing/{assetId}
assetIdstringUnique identifier for the asset to be looked up.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject
200<p>Success-price update processed.</p>
201<p>Success-prices created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/pricing/{assetId} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"assetId": "",
"listPrices": {
"zone": "",
"price": ""
},
"msrpPrices": {
"zone": "",
"price": ""
},
"salePrices": {
"zone": "",
"price": "",
"activationDate": "",
"deactivationDate": ""
}
}'